FFPLAY(1)

NAME
ffplay - FFplay media player

SYNOPSIS
ffplay [options] input_file

DESCRIPTION
FFplay is a very simple and portable media player using the FFmpeg libraries and the SDL library. It is mostly used as a test bench for the various APIs of FFmpeg.

OPTIONS

  Main options

-h  show help

-x width
    force displayed width

-y height
    force displayed height

-an disable audio

-vn disable video

-nodisp
    disable graphical display

-f fmt
    force format

-img img_fmt
    this option is used to force a given image format when playing image sequences. Example:

            ffplay -img pgmyuv tests/vsynth1/%d.pgm

  Advanced options

-stats
    show the stream duration, the codec parameters, the current position in the stream, and the audio/video synchronisation drift.

-rtp_tcp
    force RTP/TCP protocol usage instead of RTP/UDP. It is only meaningful if you are doing stream with the RTSP protocol.

-sync type
    set the master clock to audio ("type=audio"), video ("type=video") or external ("type=ext"). Default is audio. The master clock is used to control audio-video synchronization. Most media players use audio as master clock, but in some cases (streaming or high quality broadcast) it is necessary to change that. This option is mainly used for debugging purposes.

  While playing

q, ESC
    quit

f   toggle full screen

p, SPC
    pause

a   cycle audio channel

v   cycle video channel

w   show audio waves

SEE ALSO
ffmpeg(1), ffserver(1) and the html documentation of ffmpeg.

AUTHOR
Fabrice Bellard